// Export JS functions

function startExport() {
	var cbox = Ext.get('export_full');
	var export_level = 0;
	if (cbox.dom.checked)
	export_level = 1;

	var URL = "/opmon/opcfg/ajax_export.php?action=start_export";
	Ext.Ajax.request({
		url: URL,
		method: 'post',
		params: { full: export_level },
		success:	function( result, request ) {
			alert(result.responseText);
			Ext.get('export_button').dom.disabled = false;
			checkRunningExport();
		}
	});

}

function checkRunningExport(schedule) {
	schedule = schedule || false;
	var URL = "/opmon/opcfg/ajax_export.php?action=check_running_export";
	Ext.get('reading_log').dom.innerHTML = "<b>Reading export log</b>";
	Ext.get('loader2').dom.style.display = 'block';
	Ext.Ajax.request({
		url: URL,
		method: 'post',
		callback: function( request, success, result ) {
			var now = new Date(); 
  		var datetime = now.getDay()+'-'+(now.getMonth()+1)+'-'+now.getFullYear(); 
  		datetime += ' '+now.getHours()+':'+now.getMinutes()+':'+now.getSeconds(); 
			if (schedule) {
				setTimeout('checkRunningExport(true)', 10000);
			}
			if (!success) {
				Ext.get('reading_log').dom.innerHTML = '<b>Last refresh '+datetime+' - Timeout reading export log</b>';
				Ext.get('loader2').dom.style.display = 'none';
				return;
			}

			var obj = Ext.decode(result.responseText);

			// Export running
			if (obj.running) {
				Ext.get('current_status').dom.innerHTML = 'Running...';
				Ext.get('loader').dom.style.display = 'block';
				Ext.get('export_button').dom.disabled = true;
			} else {
				Ext.get('current_status').dom.innerHTML = 'Not Running';
				Ext.get('loader').dom.style.display = 'none';
				Ext.get('export_button').dom.disabled = false;
			}
			Ext.get('reading_log').dom.innerHTML = '<b>Last refresh '+datetime+'</b>';
			Ext.get('loader2').dom.style.display = 'none';
			Ext.get('log_output').dom.innerHTML = obj.log;
		}
	});
}
